import { ElementRef, OnChanges, Renderer2 } from '@angular/core';
import { AsyncValidator, AsyncValidatorFn, ControlValueAccessor, FormControl, ValidationErrors, Validator } from '@angular/forms';
import { Observable } from 'rxjs';
export declare class FileInputAccessor implements ControlValueAccessor, Validator, AsyncValidator, OnChanges {
    private _renderer;
    private _elementRef;
    extPattern: RegExp | string | string[];
    typePattern: RegExp | string | string[];
    maxSize: number;
    addMeta: boolean;
    maxHeight: number;
    maxWidth: number;
    validator: AsyncValidatorFn;
    onChange: (_: any) => void;
    onTouched: () => void;
    constructor(_renderer: Renderer2, _elementRef: ElementRef);
    ngOnChanges(changes: any): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    validate(c: FormControl): Observable<ValidationErrors> | Promise<ValidationErrors>;
    private generateAsyncValidator();
    private onChangeGenerator(fn);
    private generateRegExp(pattern);
    private generateFileMeta(f, fr);
    private setImage(f, fr);
    private setText(f, fr);
}
